/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.exercise;

import cz.cvut.kbss.bodm.nativequery.Employee;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author user
 */
public class NonReusableClientApp {
    
    public static void main(String[] args) {
        
        // vytvorit schema databaze
        //      persistence.xml ma atribute drop-and-create
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("sample_persistence_unit");
                
        
        // vytvorit zamestnace v jave
        Employee e1 = new Employee(null, "Pavol", "Novak");
        Employee e2 = new Employee(null, "Martin", "Tichy");        
        Employee e3 = new Employee(null, "Michal", "Vazny");        
        
        // pridat zamestnance do databaze        
        //      vytvorit spojeni s databazi
        EntityManager em = emf.createEntityManager(); 
        
        //      zacit transakci
        em.getTransaction().begin();
        
        //      ulozit objecty
        em.persist(e1);
        em.persist(e2);
                
        //      commit-nout transakci
        em.getTransaction().commit();
        
        List<Employee> employees = (List<Employee>) em.createQuery("select e from Employee e").getResultList();
        //em.createQuery("select e from " + Employee.class.getSimpleName() + " e").getResultList();
        
        System.out.println("#" + employees.size() + " of employees");
        System.out.println("---------------------------------");
        for(Employee emp : employees){
            System.out.println(emp.getId() + " - " + emp.getSurname() + ", " + emp.getName());
        }
        
        //      zavrit entity manager
        em.close();
    }    
}
